import os
import random
import shutil

def move_random_file():
    src_dir = "/var/data"
    dst_file = "/var/result/data.txt"
    
    # Получаем список всех файлов в src_dir
    files = os.listdir(src_dir)
    
    if files:
        # Выбираем случайный файл
        random_file = random.choice(files)
        
        # Проверяем, что файл существует
        if os.path.exists(os.path.join(src_dir, random_file)):
            # Перемещаем файл в целевое место
            shutil.move(os.path.join(src_dir, random_file), dst_file)
            print(f"Файл {random_file} успешно перемещен в {dst_file}")
        else:
            print(f"Ошибка: Файл {random_file} не найден в {src_dir}")
    else:
        print("Папка пуста")

if __name__ == "__main__":
    move_random_file()