# Лабораторная работа 3
В работе представлен пример синхронного обмена сообщениями между сервисами и их взаимодейсвием с внешним миром.
## Описание
Были взяты две сущности: работник и должность. Первый сервис позволяет манипулировать списком должностей, второй - списком работников, у каждого из которых может быть одна должность. У одной должности может быть много работников.
Реализована система была с помощью web-api на c# с хранением данных в оперативной памяти.
В качестве интерфейса используется Swagger, который можно использовать для отправки запросов. 
## Запуск
Для запуска лабораторной работы необходимо иметь запущенный Docker.
Необходимо перейти в папку, где располагается данный файл. Далее открыть терминал и ввести команду:
```
docker compose up -d --build
```
Важно, чтобы в этот момент на компьютере был свободен порт 80.
В результате, после сборки вся система запустится и Swagger-ы будут доступны по путям http://localhost/postservice/swagger и http://localhost/workerservice/swagger
## Видеодемонстрация
Видеодемонстрация результата лабораторной работы представлена по [адресу](https://drive.google.com/file/d/1rg2xnXM-jPDfFJWxNIitq0I8kXj9Pr3-/view?usp=sharing)