﻿using System.ComponentModel.DataAnnotations;

namespace DSaC.Models.DTOs
{
    public class ContractViewDto
    {
        [Required(ErrorMessage = "Contract number must be present")]
        public string ContractNumber { get; set; } = null!;

        [Required(ErrorMessage = "Manager name must be present")]
        public string ManagerName { get; set; } = null!;

        public DateTime CreatinTime { get; set; }

        public bool IsClosed { get; set; }
    }
}
