# Цуканова Ирина ПИбд-32
# Лабораторная работа №3 - REST API, Gateway и синхронный обмен между микросервисами 

### Язык разработки приложений: Python

## Выбранные сущности:

- Автор. Содержит Uuid, Name, Surname 
- Книга. Содержит Uuid, Title, Year, Author_id


## Описание:
Для каждой сущности были реализованы стандартные CRUD-операции: получение всех записей, получение конкретной записи,
создание записи, изменение записи, удаление записи.  

Дополнительно для сущности Автор прописаны:
1. Получение автора со списком его книг(с полной информацией). При этом сервис взаимодействует с другим сервисом,
чтобы получить список книг по идентификатору автора.
2. Операция проверка наличия автора по идентификатору. Это нужно для сервиса книг.

Дополнительно для сущности Книга прописаны:
1. Получение списка записей с полной информацией об авторе (не только идентификатор).
2. Получение списка записей по идентификатору автора. Это нужно для сервиса авторов.
3. Получение конкретной записи с полной информацией об авторе.


## [Видео](https://drive.google.com/file/d/10qXA-jS9QIX5DnYjSAHlEhLx0OyKEk0W/view?usp=sharing)