package models

import "time"

// Message представляет сообщение в системе
// @Description Сообщение
type Message struct {
	ID        uint      `gorm:"primaryKey" json:"id"`                      // Идентификатор сообщения
	StreamID  uint      `json:"stream_id"`                                 // Идентификатор стрима
	Content   string    `json:"content"`                                   // Содержание комментария
	CreatedAt time.Time `json:"created_at" example:"2024-10-04T14:48:00Z"` // Время отправления комментария
}
