package models

import "time"

// Stream представляет стрим в системе
// @Description Стрим
type Stream struct {
	ID        uint       `gorm:"primaryKey" json:"id"`                      // Идентификатор стрима
	Title     string     `json:"title"`                                     // Название стрима
	StartedAt time.Time  `json:"started_at" example:"2024-10-04T14:48:00Z"` // Время запуска стрима
	EndedAt   *time.Time `json:"ended_at"`                                  // Время окончания стрима
}
